package com.mortals.xhx.module.ent.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.ent.model.EntLifeMatterEntity;
import com.mortals.xhx.module.ent.service.EntLifeMatterService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;
import static com.mortals.framework.model.OrderCol.DESCENDING;

import com.mortals.xhx.common.code.*;

/**
 * 企业周期事项主
 *
 * @author zxfei
 * @date 2025-03-15
 */
@RestController
@RequestMapping("ent/life/matter")
public class EntLifeMatterController extends BaseCRUDJsonBodyMappingController<EntLifeMatterService, EntLifeMatterEntity, Long> {


    public EntLifeMatterController() {
        super.setModuleDesc("企业周期事项主");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "areaLevel", AreaLevelEnum.getEnumMap());
        super.init(model, context);
    }

    @Override
    protected void doListBefore(EntLifeMatterEntity query, Map<String, Object> model, Context context) throws AppException {
        super.doListBefore(query, model, context);
        if (!ObjectUtils.isEmpty(query.getOrderColList())) {
            List<OrderCol> orderColList = new ArrayList<>();
            orderColList.add(new OrderCol("num", DESCENDING));
            query.setOrderColList(orderColList);
        }
    }
}